ALTER TABLE GPE_PARAMORG ADD NRPERFACESSADM VARCHAR2(500)
/
ALTER TABLE GPE_PARAMORG ADD NRPERFACESSOPERAPP VARCHAR2(500) 
/
ALTER TABLE GPE_PARAMORG ADD NRCANALCOMUNICACAO VARCHAR2(500)
/
CREATE TABLE GPE_TIPOCOMUNICADO
(
    NRORG                   	NUMBER 		DEFAULT 	 SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    NRTIPOCOMUNICADO        NUMBER                 NOT NULL,
    NMTIPOCOMUNICADO       VARCHAR2(100)   	NULL    ,
    IDATIVO                    	VARCHAR2(1)     	DEFAULT 'S' NOT NULL
	CONSTRAINT CKC_IDATIVO_GPE_TPCOMUNIC CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO              	DATE                   	NOT NULL,
    DTULTATU                	DATE                   	NULL    ,
    NRORGINCLUSAO           	NUMBER(22)           DEFAULT 1 NULL ,
    CDOPERINCLUSAO          	VARCHAR2(12)        DEFAULT '1' NULL,
    NRORGULTATU             	NUMBER(22)           DEFAULT 1 NULL ,
    CDOPERULTATU            	VARCHAR2(12)        DEFAULT '1' NULL,	
	CONSTRAINT PK_GPE_TIPOCOMUNICADO PRIMARY KEY (NRTIPOCOMUNICADO)
)
/
CREATE TABLE GPE_CANALCOMUNICADO
(
    NRORG                   	NUMBER 		DEFAULT 	 SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    NRCANALCOMUNICADO    NUMBER                 	NOT NULL,
    NMCANALCOMUNICADO   VARCHAR2(100)     	NULL    ,
    IDATIVO                    	VARCHAR2(1)     	DEFAULT 'S' NOT NULL
	CONSTRAINT CKC_IDATIVO_GPE_CANALCOM CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO              	DATE                   	NOT NULL,
    DTULTATU                	DATE                   	NULL    ,
    NRORGINCLUSAO           	NUMBER(22)           DEFAULT 1 NULL    ,
    CDOPERINCLUSAO          	VARCHAR2(12)        DEFAULT '1' NULL    ,
    NRORGULTATU             	NUMBER(22)           DEFAULT 1 NULL    ,
    CDOPERULTATU            	VARCHAR2(12)        DEFAULT '1' NULL    ,	
	CONSTRAINT PK_GPE_CANALCOMUNICADO PRIMARY KEY (NRCANALCOMUNICADO)
)
/
CREATE TABLE GPE_COMUNICADO 
(
    NRCOMUNICADO 			NUMBER 				   NOT NULL, 
    NRORG                   	NUMBER 		DEFAULT 	 SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    DSTITULOCOMUNICADO 	VARCHAR2(100), 
    DSCOMUNICADO	CLOB,     		
    DTINIVIGENCIA		DATE		NOT NULL,           
    DTFIMVIGENCIA           	DATE,    	
    NRTIPOCOMUNICADO	NUMBER       	NOT NULL,
    NRCANALCOMUNICADO 	NUMBER		NOT NULL,
    NRVINCULOM		VARCHAR2(500)	NULL,		
    IDATIVO                    	VARCHAR2(1)     	DEFAULT 'S' NOT NULL
	CONSTRAINT CKC_IDATIVO_GPE_COM CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO              	DATE                   	NOT NULL,
    DTULTATU                	DATE                   	NULL    ,
    NRORGINCLUSAO           	NUMBER(22)           DEFAULT 1 NULL,
    CDOPERINCLUSAO          	VARCHAR2(12)        DEFAULT '1' NULL,
    NRORGULTATU             	NUMBER(22)           DEFAULT 1 NULL,
    CDOPERULTATU            	VARCHAR2(12)        DEFAULT '1' NULL,	
	CONSTRAINT PK_GPE_COMUNICADO PRIMARY KEY (NRCOMUNICADO)
)
/
CREATE INDEX FK_HCM00043 ON GPE_COMUNICADO (NRTIPOCOMUNICADO ASC)
/
ALTER TABLE GPE_COMUNICADO
    ADD CONSTRAINT FKHCM00043GPE_TP_COMUNIC FOREIGN KEY  (NRTIPOCOMUNICADO)
       REFERENCES GPE_TIPOCOMUNICADO (NRTIPOCOMUNICADO)
/
CREATE INDEX FK_HCM00044 ON GPE_COMUNICADO (NRCANALCOMUNICADO ASC)
/
ALTER TABLE GPE_COMUNICADO
    ADD CONSTRAINT FK_HCM00044GPE_CANALCOM FOREIGN KEY  (NRCANALCOMUNICADO)
       REFERENCES GPE_CANALCOMUNICADO (NRCANALCOMUNICADO)
/
CREATE TABLE GER_CATEGDOCUMENTO
(
    NRORG                   	NUMBER 		DEFAULT 	 SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    NRCATEGDOCUMENTO      NUMBER                 NOT NULL,
    NMCATEGDOCUMENTO     VARCHAR2(100)     	NULL    ,
    IDATIVO                    	VARCHAR2(1)     	DEFAULT 'S' NOT NULL
	CONSTRAINT CKC_IDATIVO_GPE_CATDOC CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO              	DATE                   	NOT NULL,
    DTULTATU                	DATE                   	NULL    ,
    NRORGINCLUSAO           	NUMBER(22)           DEFAULT 1 NULL    ,
    CDOPERINCLUSAO          	VARCHAR2(12)        DEFAULT '1' NULL    ,
    NRORGULTATU             	NUMBER(22)           DEFAULT 1 NULL    ,
    CDOPERULTATU            	VARCHAR2(12)        DEFAULT '1' NULL    ,	
	CONSTRAINT PK_GER_CATEGDOCUMENTO PRIMARY KEY (NRCATEGDOCUMENTO)
)
/
CREATE TABLE GER_TIPODOCUMENTO
(
    NRORG                   	NUMBER 		DEFAULT 	 SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    NRTIPODOCUMENTO         NUMBER                 NOT NULL,
    NMTIPODOCUMENTO        VARCHAR2(100),
    DSSIGLADOCUMENTO        VARCHAR2(10)       	NULL,
    IDDOCUMENTOPUBLICO    VARCHAR2(1)         DEFAULT 'N' NOT NULL
        CONSTRAINT CKC_IDDOCUMENTOPUBLICO CHECK (IDDOCUMENTOPUBLICO IN ('N','S')),	
    IDATIVO                    	VARCHAR2(1)     	DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_GPE_TPDOC CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO              	DATE                   	NOT NULL,
    DTULTATU                	DATE                   	NULL    ,
    NRORGINCLUSAO           	NUMBER(22)           DEFAULT 1 NULL    ,
    CDOPERINCLUSAO          	VARCHAR2(12)        DEFAULT '1' NULL    ,
    NRORGULTATU            	NUMBER(22)           DEFAULT 1 NULL    ,
    CDOPERULTATU            	VARCHAR2(12)        DEFAULT '1' NULL    ,	
    CONSTRAINT PK_GER_TIPODOCUMENTO PRIMARY KEY (NRTIPODOCUMENTO)
)
/
ALTER TABLE GPE_ANEXOS ADD NRCATEGDOCUMENTO VARCHAR2(500)
/
ALTER TABLE GPE_ANEXOS ADD NRTIPODOCUMENTO VARCHAR2(500)
/
ALTER TABLE ESO_ENVIOCADASTROS ADD NRRECIBO2 VARCHAR2(50) NULL
/
ALTER TABLE VAB_HISTBENEFVINC ADD QTDIASFERIADO NUMBER
/
ALTER TABLE VAB_HISTBENEFVINC ADD QTDIASTRABPERIODO NUMBER
/
ALTER TABLE VAB_HISTBENEFVINC ADD QTDIASATESTADO NUMBER